#ifndef EVTHANDLER_H
#define EVTHANDLER_H

#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include <wx/ogl/ogl.h>

#include "../graph.h"
#include "../types.h"

class CanvasEvtHandler : public wxShapeEvtHandler {

public:
	CanvasEvtHandler(wxShapeEvtHandler *prev, wxShape *shape, const vertex_t& vertex, const Graph *n_g);
	void OnLeftClick(double x, double y, int keys, int attachment);
	void OnBeginDragLeft(double x, double y, int keys, int attachment);
	void OnEndDragLeft(double x, double y, int keys, int attachment);

	double actXPos, actYPos;
	wxString label;

private:
	vertex_t vertex;
	const Graph *g;
	double dragDiffX;
	double dragDiffY;
};

#endif // EVTHANDLER_H
