#ifndef GRAPHDIAGRAM_H
#define GRAPHDIAGRAM_H

#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include <set>

#include <wx/docview.h>
#include <wx/ogl/ogl.h>

#include "content.h"
#include "../graph.h"

class GraphDiagram : public wxDiagram
{
public:
	GraphDiagram() {g_scale = 1; }
	Content* GetDiagramContent() { return &diagramContent; }

	float g_scale;
	float g_width;
	float g_height;
	float can_width;
	float can_height;
	std::multiset<int> xPos;
	std::multiset<int> yPos;
	float nodeWidth;
	float nodeHeight;
	bool modIsSPD;
	float weightMin;
	float weightMax;
	float weightDiff;

private:
	Content diagramContent;
};

#endif // GRAPHDIAGRAM_H
