#include "guiApp.h"
#include "loadNetFrm.h"

BEGIN_EVENT_TABLE(loadNetFrm,wxDialog)
	EVT_BUTTON(wxID_OK,loadNetFrm::OnBtnOKClick)
	EVT_BUTTON(wxID_CANCEL,loadNetFrm::OnBtnCancelClick)
END_EVENT_TABLE()

loadNetFrm::loadNetFrm(wxWindow *parent, wxWindowID id, const wxString &title, const wxPoint &position, const wxSize& size, long style)
: wxDialog(parent, id, title, position, size, style) {
	CreateLoadNetControls();
}

void loadNetFrm::CreateLoadNetControls(void) {
	wxBoxSizer* BoxSizer1 = new wxBoxSizer(wxVERTICAL);
	this->SetSizer(BoxSizer1);
	this->SetAutoLayout(TRUE);

	
	stb_Columns = new wxStaticBox(this, ID_STB_COLUMNS, wxT(""), wxDefaultPosition, wxDefaultSize);
	wxStaticBoxSizer* StaticBoxSizer_Columns = new wxStaticBoxSizer(stb_Columns, wxVERTICAL);
	BoxSizer1->Add(StaticBoxSizer_Columns, 0, wxALIGN_CENTER_HORIZONTAL | wxALL, 5);

	wxStaticText *stt_Description = new wxStaticText(this, -1, wxT("Please define in which columns the required data is stored!"), wxDefaultPosition, wxDefaultSize);
	StaticBoxSizer_Columns->Add(stt_Description, 0, wxALIGN_CENTER_HORIZONTAL | wxALL, 10);
	
	wxFlexGridSizer* GridSizer = new wxFlexGridSizer(4, 2, 0, 30);
	StaticBoxSizer_Columns->Add(GridSizer, 0, wxALL | wxALIGN_CENTER_HORIZONTAL, 5);

	wxStaticText *stt_Dummy = new wxStaticText(this, -1, wxT(" "), wxDefaultPosition, wxDefaultSize);
	GridSizer->Add(stt_Dummy, 0, wxGROW | wxALL, 2);
	wxStaticText *stt_Column = new wxStaticText(this, -1, wxT("Column"), wxDefaultPosition, wxDefaultSize);
	GridSizer->Add(stt_Column, 0, wxGROW | wxALL, 2);

	wxStaticText *stt_ColVertex1 = new wxStaticText(this, -1, wxT("Vertex 1"), wxDefaultPosition, wxDefaultSize);
	GridSizer->Add(stt_ColVertex1, 0, wxALIGN_CENTER_VERTICAL | wxALL, 2);
	edt_ColVertex1 = new wxTextCtrl(this, ID_EDT_COLVERTEX1, wxT("1"), wxDefaultPosition, wxSize(50, -1));
	GridSizer->Add(edt_ColVertex1, 0, wxALIGN_CENTER_VERTICAL | wxALIGN_RIGHT | wxALL, 2);

	wxStaticText *stt_ColVertex2 = new wxStaticText(this, -1, wxT("Vertex 2"), wxDefaultPosition, wxDefaultSize);
	GridSizer->Add(stt_ColVertex2, 0, wxALIGN_CENTER_VERTICAL | wxALL, 2);
	edt_ColVertex2 = new wxTextCtrl(this, ID_EDT_COLVERTEX2, wxT("2"), wxDefaultPosition, wxSize(50, -1));
	GridSizer->Add(edt_ColVertex2, 0, wxALIGN_CENTER_VERTICAL | wxALIGN_RIGHT | wxALL, 2);

	wxStaticText *stt_ColProb = new wxStaticText(this, -1, wxT("Probability / Weight"), wxDefaultPosition, wxDefaultSize);
	GridSizer->Add(stt_ColProb, 0, wxALIGN_CENTER_VERTICAL | wxALL, 2);
	edt_ColProb = new wxTextCtrl(this, ID_EDT_COLPROB, wxT("3"), wxDefaultPosition, wxSize(50, -1));
	GridSizer->Add(edt_ColProb, 0, wxALIGN_CENTER_VERTICAL | wxALIGN_RIGHT | wxALL, 2);
	
	
	stb_Skip = new wxStaticBox(this, ID_STB_SKIP, wxT(""), wxDefaultPosition, wxDefaultSize);
	wxStaticBoxSizer* StaticBoxSizer_Skip = new wxStaticBoxSizer(stb_Skip, wxVERTICAL);
	BoxSizer1->Add(StaticBoxSizer_Skip, 0, wxALIGN_CENTER_HORIZONTAL | wxALL, 3);

	wxBoxSizer* BoxSizer2 = new wxBoxSizer(wxHORIZONTAL);
	StaticBoxSizer_Skip->Add(BoxSizer2, 0, wxALIGN_CENTER_HORIZONTAL | wxALL, 10);
	wxStaticText *stt_Skip1 = new wxStaticText(this, -1, wxT("Ignore the first"), wxDefaultPosition, wxDefaultSize);
	BoxSizer2->Add(stt_Skip1, 0, wxALIGN_CENTER_VERTICAL | wxALL, 2);
	edt_Skip = new wxTextCtrl(this, ID_EDT_SKIP, wxT("0"), wxDefaultPosition, wxSize(50, -1));
	BoxSizer2->Add(edt_Skip, 0, wxALIGN_CENTER_VERTICAL | wxALL, 2);
	wxStaticText *stt_Skip2 = new wxStaticText(this, -1, wxT("line(s) of the file."), wxDefaultPosition, wxDefaultSize);
	BoxSizer2->Add(stt_Skip2, 0, wxALIGN_CENTER_VERTICAL | wxALL, 2);
	
	
	siz_OkCancel = this->CreateButtonSizer(wxOK | wxCANCEL);
	BoxSizer1->Add(siz_OkCancel, 0, wxALIGN_CENTER_HORIZONTAL | wxALL, 10);

	this->Fit();
}

void loadNetFrm::loadNetFrmClose(wxCloseEvent& WXUNUSED(event)) {
    Hide();
}

void loadNetFrm::OnBtnOKClick(wxCommandEvent& WXUNUSED(event)) {
	wxGetApp().colVertex1 = wxAtoi(edt_ColVertex1->GetValue());
	wxGetApp().colVertex2 = wxAtoi(edt_ColVertex2->GetValue());
	wxGetApp().colProb = wxAtoi(edt_ColProb->GetValue());
	wxGetApp().skipLines = wxAtoi(edt_Skip->GetValue());
	
	wxGetApp().graphload_ok = true;
	Hide();
}

void loadNetFrm::OnBtnCancelClick(wxCommandEvent& WXUNUSED(event)) {
	Hide();
}

