#ifndef RESULTLIST_H
#define RESULTLIST_H

#include "wx/wxprec.h"

#ifdef __BORLANDC__
    #pragma hdrstop
#endif

#ifndef WX_PRECOMP
    #include "wx/wx.h"
#endif

#include <vector>

#include <wx/grid.h>
#include <wx/generic/gridctrl.h>

#include "graphdiagram.h"
#include "../graph.h"
#include "../pathset.h"

class ResultList : public wxGrid {

public:
	ResultList(wxWindow* parent, wxWindowID id, const wxPoint& pos, 
				const wxSize& size);
	~ResultList();

	void OnResultListClick(wxGridEvent& event);
	void OnResultListChange(wxGridEvent& event);
	void OnCreateList(wxCommandEvent& event);
	void DisplayPath(std::size_t path_nr);
	void SetOld(int sel) { sel_old = sel; }
	void UpdateParam(Content* cont);
	void SaveList();
	bool LoadList();
	void CreateList();
	void SetSelections(const std::vector<std::size_t>& selections);
	void SetParams(const std::vector<PathParam>& params);

public:
	PathSet* paths;
	Graph* g;
	wxString graph_filename;
	bool resModIsSPD;
	float weightMin;
	float weightMax;

private:
	int sel_old;
	wxFileDialog *SaveFileDialog;
	wxFileDialog *OpenFileDialog;
	DECLARE_EVENT_TABLE();
};

BEGIN_DECLARE_EVENT_TYPES()
DECLARE_EVENT_TYPE(EVT_CREATE_LIST, -1)
END_DECLARE_EVENT_TYPES()


#endif // RESULTLIST_H
